/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022KV01.java

*

* Created on 21/09/09 11:06:49

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022KS01V01 extends Q02bTablaBD implements Q02bITablaBDQ022KS01V01 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022KT00_ID_CONT */

    public final static int COLUMN_Q022KT00_ID_CONT = 1;

    /** Constante para la propiedad Q022KT00_ID_CONT */

    public final static String NOMCOLUMN_Q022KT00_ID_CONT = "Q022KT00_ID_CONT";

    /** Constante para la propiedad Q022KT00_ID_CONT */

    public final static int TAM_MAXIMO_Q022KT00_ID_CONT = 8;

    /** Constante para la propiedad Q022KT00_PROV */

    public final static int COLUMN_Q022KT00_PROV = 2;

    /** Constante para la propiedad Q022KT00_PROV */

    public final static String NOMCOLUMN_Q022KT00_PROV = "Q022KT00_PROV";

    /** Constante para la propiedad Q022KT00_PROV */

    public final static int TAM_MAXIMO_Q022KT00_PROV = 2;

    /** Constante para la propiedad Q022KT00_MUNI */

    public final static int COLUMN_Q022KT00_MUNI = 3;

    /** Constante para la propiedad Q022KT00_MUNI */

    public final static String NOMCOLUMN_Q022KT00_MUNI = "Q022KT00_MUNI";

    /** Constante para la propiedad Q022KT00_MUNI */

    public final static int TAM_MAXIMO_Q022KT00_MUNI = 3;

    /** Constante para la propiedad Q022KT00_ID_INF */

    public final static int COLUMN_Q022KT00_ID_INF = 4;

    /** Constante para la propiedad Q022KT00_ID_INF */

    public final static String NOMCOLUMN_Q022KT00_ID_INF = "Q022KT00_ID_INF";

    /** Constante para la propiedad Q022KT00_ID_INF */

    public final static int TAM_MAXIMO_Q022KT00_ID_INF = 8;

    /** Constante para la propiedad Q022KT00_ID_AGEN */

    public final static int COLUMN_Q022KT00_ID_AGEN = 5;

    /** Constante para la propiedad Q022KT00_ID_AGEN */

    public final static String NOMCOLUMN_Q022KT00_ID_AGEN = "Q022KT00_ID_AGEN";

    /** Constante para la propiedad Q022KT00_ID_AGEN */

    public final static int TAM_MAXIMO_Q022KT00_ID_AGEN = 8;

    /** Constante para la propiedad Q022KT00_TCON */

    public final static int COLUMN_Q022KT00_TCON = 6;

    /** Constante para la propiedad Q022KT00_TCON */

    public final static String NOMCOLUMN_Q022KT00_TCON = "Q022KT00_TCON";

    /** Constante para la propiedad Q022KT00_TCON */

    public final static int TAM_MAXIMO_Q022KT00_TCON = 10;

    /** Constante para la propiedad Q022KT00_FECC */

    public final static int COLUMN_Q022KT00_FECC = 7;

    /** Constante para la propiedad Q022KT00_FECC */

    public final static String NOMCOLUMN_Q022KT00_FECC = "Q022KT00_FECC";

    /** Constante para la propiedad Q022KT00_FECC */

    public final static int TAM_MAXIMO_Q022KT00_FECC = 7;

    /** Constante para la propiedad Q022KT00_RCON */

    public final static int COLUMN_Q022KT00_RCON = 8;

    /** Constante para la propiedad Q022KT00_RCON */

    public final static String NOMCOLUMN_Q022KT00_RCON = "Q022KT00_RCON";

    /** Constante para la propiedad Q022KT00_RCON */

    public final static int TAM_MAXIMO_Q022KT00_RCON = 10;

    /** Constante para la propiedad Q022KT00_FECR */

    public final static int COLUMN_Q022KT00_FECR = 9;

    /** Constante para la propiedad Q022KT00_FECR */

    public final static String NOMCOLUMN_Q022KT00_FECR = "Q022KT00_FECR";

    /** Constante para la propiedad Q022KT00_FECR */

    public final static int TAM_MAXIMO_Q022KT00_FECR = 7;

    /** Constante para la propiedad Q022KT00_OBSHR */

    public final static int COLUMN_Q022KT00_OBSHR = 10;

    /** Constante para la propiedad Q022KT00_OBSHR */

    public final static String NOMCOLUMN_Q022KT00_OBSHR = "Q022KT00_OBSHR";

    /** Constante para la propiedad Q022KT00_OBSHR */

    public final static int TAM_MAXIMO_Q022KT00_OBSHR = 250;

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static int COLUMN_Q022HT00_ID_OFI = 11;

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static String NOMCOLUMN_Q022HT00_ID_OFI = "Q022HT00_ID_OFI";

    /** Constante para la propiedad Q022HT00_ID_OFI */

    public final static int TAM_MAXIMO_Q022HT00_ID_OFI = 8;

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static int COLUMN_NORA_T17_PROVINCIA_DS = 12;

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static String NOMCOLUMN_NORA_T17_PROVINCIA_DS = "NORA_T17_PROVINCIA_DS";

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static int TAM_MAXIMO_NORA_T17_PROVINCIA_DS = 50;

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static int COLUMN_NORA_T17_MUNICIPIO_DS = 13;

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static String NOMCOLUMN_NORA_T17_MUNICIPIO_DS = "NORA_T17_MUNICIPIO_DS";

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static int TAM_MAXIMO_NORA_T17_MUNICIPIO_DS = 50;

    /** Constante para la propiedad Q022HT00_DESC */

    public final static int COLUMN_Q022HT00_DESC = 14;

    /** Constante para la propiedad Q022HT00_DESC */

    public final static String NOMCOLUMN_Q022HT00_DESC = "Q022HT00_DESC";

    /** Constante para la propiedad Q022HT00_DESC */

    public final static int TAM_MAXIMO_Q022HT00_DESC = 50;

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static int COLUMN_Q022HT00_DESC_EUS = 15;

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static String NOMCOLUMN_Q022HT00_DESC_EUS = "Q022HT00_DESC_EUS";

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static int TAM_MAXIMO_Q022HT00_DESC_EUS = 50;

    /** Constante para la propiedad Q022IT00_APE1 */

    public final static int COLUMN_Q022IT00_APE1 = 16;

    /** Constante para la propiedad Q022IT00_APE1 */

    public final static String NOMCOLUMN_Q022IT00_APE1 = "Q022IT00_APE1";

    /** Constante para la propiedad Q022IT00_APE1 */

    public final static int TAM_MAXIMO_Q022IT00_APE1 = 30;

    /** Constante para la propiedad Q022IT00_APE2 */

    public final static int COLUMN_Q022IT00_APE2 = 17;

    /** Constante para la propiedad Q022IT00_APE2 */

    public final static String NOMCOLUMN_Q022IT00_APE2 = "Q022IT00_APE2";

    /** Constante para la propiedad Q022IT00_APE2 */

    public final static int TAM_MAXIMO_Q022IT00_APE2 = 30;

    /** Constante para la propiedad Q022IT00_NOMB */

    public final static int COLUMN_Q022IT00_NOMB = 18;

    /** Constante para la propiedad Q022IT00_NOMB */

    public final static String NOMCOLUMN_Q022IT00_NOMB = "Q022IT00_NOMB";

    /** Constante para la propiedad Q022IT00_NOMB */

    public final static int TAM_MAXIMO_Q022IT00_NOMB = 50;

    /** Constante para la propiedad Q022JT00_APE1 */

    public final static int COLUMN_Q022JT00_APE1 = 19;

    /** Constante para la propiedad Q022JT00_APE1 */

    public final static String NOMCOLUMN_Q022JT00_APE1 = "Q022JT00_APE1";

    /** Constante para la propiedad Q022JT00_APE1 */

    public final static int TAM_MAXIMO_Q022JT00_APE1 = 30;

    /** Constante para la propiedad Q022JT00_APE2 */

    public final static int COLUMN_Q022JT00_APE2 = 20;

    /** Constante para la propiedad Q022JT00_APE2 */

    public final static String NOMCOLUMN_Q022JT00_APE2 = "Q022JT00_APE2";

    /** Constante para la propiedad Q022JT00_APE2 */

    public final static int TAM_MAXIMO_Q022JT00_APE2 = 30;

    /** Constante para la propiedad Q022JT00_NOMB */

    public final static int COLUMN_Q022JT00_NOMB = 21;

    /** Constante para la propiedad Q022JT00_NOMB */

    public final static String NOMCOLUMN_Q022JT00_NOMB = "Q022JT00_NOMB";

    /** Constante para la propiedad Q022JT00_NOMB */

    public final static int TAM_MAXIMO_Q022JT00_NOMB = 50;

    /** Constante para la propiedad Q022YT00_COD */

    public final static int COLUMN_Q022YT00_COD = 22;

    /** Constante para la propiedad Q022YT00_COD */

    public final static String NOMCOLUMN_Q022YT00_COD = "Q022YT00_COD";

    /** Constante para la propiedad Q022YT00_COD */

    public final static int TAM_MAXIMO_Q022YT00_COD = 15;

    /** Constante para la propiedad Q022YT00_COD_DESCC */

    public final static int COLUMN_Q022YT00_COD_DESCC = 23;

    /** Constante para la propiedad Q022YT00_COD_DESCC */

    public final static String NOMCOLUMN_Q022YT00_COD_DESCC = "Q022YT00_COD_DESCC";

    /** Constante para la propiedad Q022YT00_COD_DESCC */

    public final static int TAM_MAXIMO_Q022YT00_COD_DESCC = 516;

    /** Constante para la propiedad Q022YT00_COD_DESCE */

    public final static int COLUMN_Q022YT00_COD_DESCE = 24;

    /** Constante para la propiedad Q022YT00_COD_DESCE */

    public final static String NOMCOLUMN_Q022YT00_COD_DESCE = "Q022YT00_COD_DESCE";

    /** Constante para la propiedad Q022YT00_COD_DESCE */

    public final static int TAM_MAXIMO_Q022YT00_COD_DESCE = 516;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 24;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022KT00_ID_CONT_WHERE */

    protected Integer Q022KT00_ID_CONT_WHERE = null;

    protected boolean Q022KT00_ID_CONT_MODIF = false;

    /** Holds value of property Q022KT00_PROV_WHERE */

    protected String Q022KT00_PROV_WHERE = null;

    protected boolean Q022KT00_PROV_MODIF = false;

    /** Holds value of property Q022KT00_MUNI_WHERE */

    protected String Q022KT00_MUNI_WHERE = null;

    protected boolean Q022KT00_MUNI_MODIF = false;

    /** Holds value of property Q022KT00_ID_INF_WHERE */

    protected Integer Q022KT00_ID_INF_WHERE = null;

    protected boolean Q022KT00_ID_INF_MODIF = false;

    /** Holds value of property Q022KT00_ID_AGEN_WHERE */

    protected Integer Q022KT00_ID_AGEN_WHERE = null;

    protected boolean Q022KT00_ID_AGEN_MODIF = false;

    /** Holds value of property Q022KT00_TCON_WHERE */

    protected Long Q022KT00_TCON_WHERE = null;

    protected boolean Q022KT00_TCON_MODIF = false;

    /** Holds value of property Q022KT00_FECC_WHERE */

    protected java.util.Date Q022KT00_FECC_WHERE = null;

    protected boolean Q022KT00_FECC_MODIF = false;

    /** Holds value of property Q022KT00_RCON_WHERE */

    protected String Q022KT00_RCON_WHERE = null;

    protected boolean Q022KT00_RCON_MODIF = false;

    /** Holds value of property Q022KT00_FECR_WHERE */

    protected java.util.Date Q022KT00_FECR_WHERE = null;

    protected boolean Q022KT00_FECR_MODIF = false;

    /** Holds value of property Q022KT00_OBSHR_WHERE */

    protected String Q022KT00_OBSHR_WHERE = null;

    protected boolean Q022KT00_OBSHR_MODIF = false;

    /** Holds value of property Q022HT00_ID_OFI_WHERE */

    protected Integer Q022HT00_ID_OFI_WHERE = null;

    protected boolean Q022HT00_ID_OFI_MODIF = false;

    /** Holds value of property NORA_T17_PROVINCIA_DS_WHERE */

    protected String NORA_T17_PROVINCIA_DS_WHERE = null;

    protected boolean NORA_T17_PROVINCIA_DS_MODIF = false;

    /** Holds value of property NORA_T17_MUNICIPIO_DS_WHERE */

    protected String NORA_T17_MUNICIPIO_DS_WHERE = null;

    protected boolean NORA_T17_MUNICIPIO_DS_MODIF = false;

    /** Holds value of property Q022HT00_DESC_WHERE */

    protected String Q022HT00_DESC_WHERE = null;

    protected boolean Q022HT00_DESC_MODIF = false;

    /** Holds value of property Q022HT00_DESC_EUS_WHERE */

    protected String Q022HT00_DESC_EUS_WHERE = null;

    protected boolean Q022HT00_DESC_EUS_MODIF = false;

    /** Holds value of property Q022IT00_APE1_WHERE */

    protected String Q022IT00_APE1_WHERE = null;

    protected boolean Q022IT00_APE1_MODIF = false;

    /** Holds value of property Q022IT00_APE2_WHERE */

    protected String Q022IT00_APE2_WHERE = null;

    protected boolean Q022IT00_APE2_MODIF = false;

    /** Holds value of property Q022IT00_NOMB_WHERE */

    protected String Q022IT00_NOMB_WHERE = null;

    protected boolean Q022IT00_NOMB_MODIF = false;

    /** Holds value of property Q022JT00_APE1_WHERE */

    protected String Q022JT00_APE1_WHERE = null;

    protected boolean Q022JT00_APE1_MODIF = false;

    /** Holds value of property Q022JT00_APE2_WHERE */

    protected String Q022JT00_APE2_WHERE = null;

    protected boolean Q022JT00_APE2_MODIF = false;

    /** Holds value of property Q022JT00_NOMB_WHERE */

    protected String Q022JT00_NOMB_WHERE = null;

    protected boolean Q022JT00_NOMB_MODIF = false;

    /** Holds value of property Q022YT00_COD_WHERE */

    protected String Q022YT00_COD_WHERE = null;

    protected boolean Q022YT00_COD_MODIF = false;

    /** Holds value of property Q022YT00_COD_DESCC_WHERE */

    protected String Q022YT00_COD_DESCC_WHERE = null;

    protected boolean Q022YT00_COD_DESCC_MODIF = false;

    /** Holds value of property Q022YT00_COD_DESCE_WHERE */

    protected String Q022YT00_COD_DESCE_WHERE = null;

    protected boolean Q022YT00_COD_DESCE_MODIF = false;

    /** Holds value of property auditUser. */

    protected Long  auditUser = new Long(0);

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "21/09/09 11:06:49";

    protected String columnas[] =  {"Q022KT00_ID_CONT", "Q022KT00_PROV", "Q022KT00_MUNI", "Q022KT00_ID_INF", "Q022KT00_ID_AGEN", "Q022KT00_TCON", "Q022KT00_FECC", "Q022KT00_RCON", "Q022KT00_FECR", "Q022KT00_OBSHR", "Q022HT00_ID_OFI", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "Q022IT00_APE1", "Q022IT00_APE2", "Q022IT00_NOMB", "Q022JT00_APE1", "Q022JT00_APE2", "Q022JT00_NOMB", "Q022YT00_COD", "Q022YT00_COD_DESCC", "Q022YT00_COD_DESCE"};

    protected int tipos[] =  {3, 12, 12, 3, 3, 3, 93, 12, 93, 12, 3, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12};

    protected int longitudes[] =  {8, 2, 3, 8, 8, 10, 7, 10, 7, 250, 8, 50, 50, 50, 50, 30, 30, 50, 30, 30, 50, 15, 516, 516};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022KT00_ID_CONT", "Q022KT00_PROV", "Q022KT00_MUNI", "Q022KT00_ID_INF", "Q022KT00_ID_AGEN", "Q022KT00_TCON", "Q022KT00_FECC", "Q022KT00_RCON", "Q022KT00_FECR", "Q022KT00_OBSHR", "Q022HT00_ID_OFI", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "Q022IT00_APE1", "Q022IT00_APE2", "Q022IT00_NOMB", "Q022JT00_APE1", "Q022JT00_APE2", "Q022JT00_NOMB", "Q022YT00_COD", "Q022YT00_COD_DESCC", "Q022YT00_COD_DESCE"};

    protected boolean nullables[] =  {false,false,false,false,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022KS01V01";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022KS01V01 iTablaBDQ022KS01V01 = null;

    /** Creates new Q022KV01 */

    public Q02bTablaBDQ022KS01V01() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022KS01V01 */

    public Q02bTablaBDQ022KS01V01(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022KS01V01.setQ022KT00_ID_CONT_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_ID_CONT_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_PROV_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_PROV_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_MUNI_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_MUNI_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_ID_INF_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_ID_INF_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_ID_AGEN_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_ID_AGEN_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_TCON_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_TCON_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_FECC_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_FECC_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_RCON_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_RCON_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_FECR_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_FECR_MODIF(false);

        iTablaBDQ022KS01V01.setQ022KT00_OBSHR_WHERE(null);

        iTablaBDQ022KS01V01.setQ022KT00_OBSHR_MODIF(false);

        iTablaBDQ022KS01V01.setQ022HT00_ID_OFI_WHERE(null);

        iTablaBDQ022KS01V01.setQ022HT00_ID_OFI_MODIF(false);

        iTablaBDQ022KS01V01.setNORA_T17_PROVINCIA_DS_WHERE(null);

        iTablaBDQ022KS01V01.setNORA_T17_PROVINCIA_DS_MODIF(false);

        iTablaBDQ022KS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(null);

        iTablaBDQ022KS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(false);

        iTablaBDQ022KS01V01.setQ022HT00_DESC_WHERE(null);

        iTablaBDQ022KS01V01.setQ022HT00_DESC_MODIF(false);

        iTablaBDQ022KS01V01.setQ022HT00_DESC_EUS_WHERE(null);

        iTablaBDQ022KS01V01.setQ022HT00_DESC_EUS_MODIF(false);

        iTablaBDQ022KS01V01.setQ022IT00_APE1_WHERE(null);

        iTablaBDQ022KS01V01.setQ022IT00_APE1_MODIF(false);

        iTablaBDQ022KS01V01.setQ022IT00_APE2_WHERE(null);

        iTablaBDQ022KS01V01.setQ022IT00_APE2_MODIF(false);

        iTablaBDQ022KS01V01.setQ022IT00_NOMB_WHERE(null);

        iTablaBDQ022KS01V01.setQ022IT00_NOMB_MODIF(false);

        iTablaBDQ022KS01V01.setQ022JT00_APE1_WHERE(null);

        iTablaBDQ022KS01V01.setQ022JT00_APE1_MODIF(false);

        iTablaBDQ022KS01V01.setQ022JT00_APE2_WHERE(null);

        iTablaBDQ022KS01V01.setQ022JT00_APE2_MODIF(false);

        iTablaBDQ022KS01V01.setQ022JT00_NOMB_WHERE(null);

        iTablaBDQ022KS01V01.setQ022JT00_NOMB_MODIF(false);

        iTablaBDQ022KS01V01.setQ022YT00_COD_WHERE(null);

        iTablaBDQ022KS01V01.setQ022YT00_COD_MODIF(false);

        iTablaBDQ022KS01V01.setQ022YT00_COD_DESCC_WHERE(null);

        iTablaBDQ022KS01V01.setQ022YT00_COD_DESCC_MODIF(false);

        iTablaBDQ022KS01V01.setQ022YT00_COD_DESCE_WHERE(null);

        iTablaBDQ022KS01V01.setQ022YT00_COD_DESCE_MODIF(false);

        iTablaBDQ022KS01V01.setNumMaxRegistros(0);

        iTablaBDQ022KS01V01.setNumInicio(0);

        iTablaBDQ022KS01V01.setNumFinal(0);

        iTablaBDQ022KS01V01.setOrderBy(null);

        iTablaBDQ022KS01V01.setAditionalWhere(null);

        iTablaBDQ022KS01V01.setInitialWhere(null);

        iTablaBDQ022KS01V01.setFixedWhere(null);

        iTablaBDQ022KS01V01.setDistinct(null);

        iTablaBDQ022KS01V01.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022KS01V01";

        iTablaBDQ022KS01V01.setUncommittedRead(false);

        iTablaBDQ022KS01V01.setForUpdate(false);

        iTablaBDQ022KS01V01.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022KS01V01.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022KS01V01.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022KS01V01.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022KS01V01.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022KS01V01.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022KS01V01.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022KS01V01.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022KS01V01.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022KS01V01.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022KS01V01.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022KS01V01.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022KS01V01.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022KS01V01.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022KS01V01.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022KS01V01.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022KS01V01.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022KS01V01.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022KS01V01.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022KS01V01.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022KS01V01.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022KS01V01.selectMax();

    }













    public void setQ022KT00_ID_CONT_WHERE(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_CONT_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_CONT_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_CONT_WHERE(Integer valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_CONT_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_CONT_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_CONT_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_CONT_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_CONT_MODIF(valor);

        }

    }



    public void setQ022KT00_PROV_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_PROV_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_PROV_WHERE(valor);

        }

    }



    public void setQ022KT00_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_PROV_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_PROV_MODIF(valor);

        }

    }



    public void setQ022KT00_MUNI_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_MUNI_WHERE(valor);

        }

    }



    public void setQ022KT00_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_MUNI_MODIF(valor);

        }

    }



    public void setQ022KT00_ID_INF_WHERE(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_INF_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_INF_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_INF_WHERE(Integer valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_INF_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_INF_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_INF_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_INF_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_INF_MODIF(valor);

        }

    }



    public void setQ022KT00_ID_AGEN_WHERE(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_AGEN_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_AGEN_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_AGEN_WHERE(Integer valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_AGEN_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_AGEN_WHERE(valor);

        }

    }



    public void setQ022KT00_ID_AGEN_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_ID_AGEN_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_ID_AGEN_MODIF(valor);

        }

    }



    public void setQ022KT00_TCON_WHERE(long valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_TCON_WHERE=new Long(valor);

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_TCON_WHERE(valor);

        }

    }



    public void setQ022KT00_TCON_WHERE(Long valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_TCON_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_TCON_WHERE(valor);

        }

    }



    public void setQ022KT00_TCON_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_TCON_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_TCON_MODIF(valor);

        }

    }



    public void setQ022KT00_FECC_WHERE(java.util.Date valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_FECC_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_FECC_WHERE(valor);

        }

    }



    public void setQ022KT00_FECC_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_FECC_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_FECC_MODIF(valor);

        }

    }



    public void setQ022KT00_RCON_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_RCON_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_RCON_WHERE(valor);

        }

    }



    public void setQ022KT00_RCON_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_RCON_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_RCON_MODIF(valor);

        }

    }



    public void setQ022KT00_FECR_WHERE(java.util.Date valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_FECR_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_FECR_WHERE(valor);

        }

    }



    public void setQ022KT00_FECR_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_FECR_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_FECR_MODIF(valor);

        }

    }



    public void setQ022KT00_OBSHR_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_OBSHR_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_OBSHR_WHERE(valor);

        }

    }



    public void setQ022KT00_OBSHR_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022KT00_OBSHR_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022KT00_OBSHR_MODIF(valor);

        }

    }



    public void setQ022HT00_ID_OFI_WHERE(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_ID_OFI_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022HT00_ID_OFI_WHERE(Integer valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_ID_OFI_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022HT00_ID_OFI_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_ID_OFI_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_ID_OFI_MODIF(valor);

        }

    }



    public void setNORA_T17_PROVINCIA_DS_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.NORA_T17_PROVINCIA_DS_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setNORA_T17_PROVINCIA_DS_WHERE(valor);

        }

    }



    public void setNORA_T17_PROVINCIA_DS_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.NORA_T17_PROVINCIA_DS_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setNORA_T17_PROVINCIA_DS_MODIF(valor);

        }

    }



    public void setNORA_T17_MUNICIPIO_DS_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.NORA_T17_MUNICIPIO_DS_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(valor);

        }

    }



    public void setNORA_T17_MUNICIPIO_DS_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.NORA_T17_MUNICIPIO_DS_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(valor);

        }

    }



    public void setQ022HT00_DESC_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_DESC_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_DESC_WHERE(valor);

        }

    }



    public void setQ022HT00_DESC_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_DESC_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_DESC_MODIF(valor);

        }

    }



    public void setQ022HT00_DESC_EUS_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_DESC_EUS_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_DESC_EUS_WHERE(valor);

        }

    }



    public void setQ022HT00_DESC_EUS_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022HT00_DESC_EUS_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022HT00_DESC_EUS_MODIF(valor);

        }

    }



    public void setQ022IT00_APE1_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022IT00_APE1_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022IT00_APE1_WHERE(valor);

        }

    }



    public void setQ022IT00_APE1_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022IT00_APE1_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022IT00_APE1_MODIF(valor);

        }

    }



    public void setQ022IT00_APE2_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022IT00_APE2_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022IT00_APE2_WHERE(valor);

        }

    }



    public void setQ022IT00_APE2_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022IT00_APE2_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022IT00_APE2_MODIF(valor);

        }

    }



    public void setQ022IT00_NOMB_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022IT00_NOMB_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022IT00_NOMB_WHERE(valor);

        }

    }



    public void setQ022IT00_NOMB_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022IT00_NOMB_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022IT00_NOMB_MODIF(valor);

        }

    }



    public void setQ022JT00_APE1_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022JT00_APE1_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022JT00_APE1_WHERE(valor);

        }

    }



    public void setQ022JT00_APE1_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022JT00_APE1_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022JT00_APE1_MODIF(valor);

        }

    }



    public void setQ022JT00_APE2_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022JT00_APE2_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022JT00_APE2_WHERE(valor);

        }

    }



    public void setQ022JT00_APE2_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022JT00_APE2_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022JT00_APE2_MODIF(valor);

        }

    }



    public void setQ022JT00_NOMB_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022JT00_NOMB_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022JT00_NOMB_WHERE(valor);

        }

    }



    public void setQ022JT00_NOMB_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022JT00_NOMB_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022JT00_NOMB_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022YT00_COD_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022YT00_COD_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022YT00_COD_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022YT00_COD_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_DESCC_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022YT00_COD_DESCC_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022YT00_COD_DESCC_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_DESCC_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022YT00_COD_DESCC_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022YT00_COD_DESCC_MODIF(valor);

        }

    }



    public void setQ022YT00_COD_DESCE_WHERE(String valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022YT00_COD_DESCE_WHERE=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022YT00_COD_DESCE_WHERE(valor);

        }

    }



    public void setQ022YT00_COD_DESCE_MODIF(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.Q022YT00_COD_DESCE_MODIF=valor;

        }else{

           iTablaBDQ022KS01V01.setQ022YT00_COD_DESCE_MODIF(valor);

        }

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (long valor) {

             this.auditUser= new Long(valor);

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (Long valor) {

             this.auditUser= valor;

    }



    /** Getter for property Q022KT00_ID_CONT_WHERE.

    * @return Value of property Q022KT00_ID_CONT_WHERE.

    */

    public Integer getQ022KT00_ID_CONT_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_ID_CONT_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_ID_CONT_WHERE();

        }

    }



    /** Getter for property Q022KT00_PROV_WHERE.

    * @return Value of property Q022KT00_PROV_WHERE.

    */

    public String getQ022KT00_PROV_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_PROV_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_PROV_WHERE();

        }

    }



    /** Getter for property Q022KT00_MUNI_WHERE.

    * @return Value of property Q022KT00_MUNI_WHERE.

    */

    public String getQ022KT00_MUNI_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_MUNI_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_MUNI_WHERE();

        }

    }



    /** Getter for property Q022KT00_ID_INF_WHERE.

    * @return Value of property Q022KT00_ID_INF_WHERE.

    */

    public Integer getQ022KT00_ID_INF_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_ID_INF_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_ID_INF_WHERE();

        }

    }



    /** Getter for property Q022KT00_ID_AGEN_WHERE.

    * @return Value of property Q022KT00_ID_AGEN_WHERE.

    */

    public Integer getQ022KT00_ID_AGEN_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_ID_AGEN_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_ID_AGEN_WHERE();

        }

    }



    /** Getter for property Q022KT00_TCON_WHERE.

    * @return Value of property Q022KT00_TCON_WHERE.

    */

    public Long getQ022KT00_TCON_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_TCON_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_TCON_WHERE();

        }

    }



    /** Getter for property Q022KT00_FECC_WHERE.

    * @return Value of property Q022KT00_FECC_WHERE.

    */

    public java.util.Date getQ022KT00_FECC_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_FECC_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_FECC_WHERE();

        }

    }



    /** Getter for property Q022KT00_RCON_WHERE.

    * @return Value of property Q022KT00_RCON_WHERE.

    */

    public String getQ022KT00_RCON_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_RCON_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_RCON_WHERE();

        }

    }



    /** Getter for property Q022KT00_FECR_WHERE.

    * @return Value of property Q022KT00_FECR_WHERE.

    */

    public java.util.Date getQ022KT00_FECR_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_FECR_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_FECR_WHERE();

        }

    }



    /** Getter for property Q022KT00_OBSHR_WHERE.

    * @return Value of property Q022KT00_OBSHR_WHERE.

    */

    public String getQ022KT00_OBSHR_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022KT00_OBSHR_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022KT00_OBSHR_WHERE();

        }

    }



    /** Getter for property Q022HT00_ID_OFI_WHERE.

    * @return Value of property Q022HT00_ID_OFI_WHERE.

    */

    public Integer getQ022HT00_ID_OFI_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022HT00_ID_OFI_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022HT00_ID_OFI_WHERE();

        }

    }



    /** Getter for property NORA_T17_PROVINCIA_DS_WHERE.

    * @return Value of property NORA_T17_PROVINCIA_DS_WHERE.

    */

    public String getNORA_T17_PROVINCIA_DS_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.NORA_T17_PROVINCIA_DS_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getNORA_T17_PROVINCIA_DS_WHERE();

        }

    }



    /** Getter for property NORA_T17_MUNICIPIO_DS_WHERE.

    * @return Value of property NORA_T17_MUNICIPIO_DS_WHERE.

    */

    public String getNORA_T17_MUNICIPIO_DS_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.NORA_T17_MUNICIPIO_DS_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getNORA_T17_MUNICIPIO_DS_WHERE();

        }

    }



    /** Getter for property Q022HT00_DESC_WHERE.

    * @return Value of property Q022HT00_DESC_WHERE.

    */

    public String getQ022HT00_DESC_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022HT00_DESC_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022HT00_DESC_WHERE();

        }

    }



    /** Getter for property Q022HT00_DESC_EUS_WHERE.

    * @return Value of property Q022HT00_DESC_EUS_WHERE.

    */

    public String getQ022HT00_DESC_EUS_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022HT00_DESC_EUS_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022HT00_DESC_EUS_WHERE();

        }

    }



    /** Getter for property Q022IT00_APE1_WHERE.

    * @return Value of property Q022IT00_APE1_WHERE.

    */

    public String getQ022IT00_APE1_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022IT00_APE1_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022IT00_APE1_WHERE();

        }

    }



    /** Getter for property Q022IT00_APE2_WHERE.

    * @return Value of property Q022IT00_APE2_WHERE.

    */

    public String getQ022IT00_APE2_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022IT00_APE2_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022IT00_APE2_WHERE();

        }

    }



    /** Getter for property Q022IT00_NOMB_WHERE.

    * @return Value of property Q022IT00_NOMB_WHERE.

    */

    public String getQ022IT00_NOMB_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022IT00_NOMB_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022IT00_NOMB_WHERE();

        }

    }



    /** Getter for property Q022JT00_APE1_WHERE.

    * @return Value of property Q022JT00_APE1_WHERE.

    */

    public String getQ022JT00_APE1_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022JT00_APE1_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022JT00_APE1_WHERE();

        }

    }



    /** Getter for property Q022JT00_APE2_WHERE.

    * @return Value of property Q022JT00_APE2_WHERE.

    */

    public String getQ022JT00_APE2_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022JT00_APE2_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022JT00_APE2_WHERE();

        }

    }



    /** Getter for property Q022JT00_NOMB_WHERE.

    * @return Value of property Q022JT00_NOMB_WHERE.

    */

    public String getQ022JT00_NOMB_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022JT00_NOMB_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022JT00_NOMB_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_WHERE.

    * @return Value of property Q022YT00_COD_WHERE.

    */

    public String getQ022YT00_COD_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022YT00_COD_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022YT00_COD_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_DESCC_WHERE.

    * @return Value of property Q022YT00_COD_DESCC_WHERE.

    */

    public String getQ022YT00_COD_DESCC_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022YT00_COD_DESCC_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022YT00_COD_DESCC_WHERE();

        }

    }



    /** Getter for property Q022YT00_COD_DESCE_WHERE.

    * @return Value of property Q022YT00_COD_DESCE_WHERE.

    */

    public String getQ022YT00_COD_DESCE_WHERE() {

        if (iTablaBDQ022KS01V01==null){

            return this.Q022YT00_COD_DESCE_WHERE;

        }else{

           return iTablaBDQ022KS01V01.getQ022YT00_COD_DESCE_WHERE();

        }

    }



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser () {

        return auditUser;

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022KS01V01.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022KS01V01==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022KS01V01.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022KS01V01==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022KS01V01.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022KS01V01==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022KS01V01.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022KS01V01.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022KS01V01==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022KS01V01.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022KS01V01.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022KS01V01==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022KS01V01.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022KS01V01==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022KS01V01.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022KS01V01==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022KS01V01.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022KS01V01==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022KS01V01.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022KS01V01==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022KS01V01.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022KS01V01==null){

           return this.connection;

        }else{

           return iTablaBDQ022KS01V01.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022KS01V01.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022KS01V01==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022KS01V01.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022KS01V01.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022KS01V01==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022KS01V01.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022KS01V01==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022KS01V01.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022KS01V01.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022KS01V01==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022KS01V01.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022KS01V01.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022KS01V01.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022KS01V01==null){

           return this.distinct;

        }else{

           return iTablaBDQ022KS01V01.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022KS01V01==null){

           this.max = valor;

        }else{

           iTablaBDQ022KS01V01.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022KS01V01==null){

           return this.max;

        }else{

           return iTablaBDQ022KS01V01.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022KS01V01==null){

           super.freeResources();

        }else{

           iTablaBDQ022KS01V01.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022KS01V01==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022KS01V01.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

